%define debug_package %{nil}

Summary:        Patched version of GNU dd for use in computer forensics

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		dcfldd
Version:	1.3.4.1
Release:	2%{?dist}

License:	GPL

Group:		Applications/Forensics Tools

Source0:	dcfldd-%{version}.tar.gz
Patch0:		dcfldd-patch1
BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	gcc-c++, libstdc++-devel

%description
dcfldd is an enhanced version of GNU dd with features useful for forensics and security. Based on the dd program found in the GNU Coreutils package, dcfldd has the following additional features:

   * Hashing on-the-fly - dcfldd can hash the input data as it is being
     transferred, helping to ensure data integrity.
   * Status output - dcfldd can update the user of its progress in terms of
     the amount of data transferred and how much longer operation will take.
   * Flexible disk wipes - dcfldd can be used to wipe disks quickly
     and with a known pattern if desired.
   * Image/wipe Verify - dcfldd can verify that a target drive is a
     bit-for-bit match of the specified input file or pattern.
   * Multiple outputs - dcfldd can output to multiple files or disks at
     the same time.
   * Split output - dcfldd can split output to multiple files with more
     configurability than the split command.
   * Piped output and logs - dcfldd can send all its log data and output
     to commands as well as files natively.

%prep
%setup -n %{name}-%{version}
%patch0 -p 1
%configure --prefix=/usr --mandir=/usr/share/man --bindir=/usr/bin

%build
%{__make}

%install
%makeinstall
%{__rm} -rf %{buildroot}
%{__install} -Dp -m755 dcfldd %{buildroot}%{_bindir}/dcfldd
%{__install} -Dp -m644 dcfldd.1 %{buildroot}%{_mandir}/man1/dcfldd.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%attr(555,bin,bin)	%{_bindir}/dcfldd
%attr(444,bin,bin)	%{_mandir}/man1/dcfldd.1*

%changelog
* Thu Aug 25 2005 SVRCFL <http://svrcfl.net/> 1.2.4
- Initial spec file
* Sun Feb 12 2005 Nick Harbour 1.3.4
- Updated for new version
